/*

   Impos/2 - kopieren V1.0
   --------------------------   (by Wolfram Koerner, CIS: 100430,1064)

   Scannt DIN A4 s/w ein und druckt auf Laserjet aus

*/

/* ~~~~~~~~~~~~ ANPASSEN !!! ~~~~~~~~~~~ */
CONST_Impos2Dir   = "E:\IMPOS"
CONST_Scanner     = "ScanJet 4p"
CONST_Printer     = "Canon Grayscale 360x360 NP"
/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

say "KOPIEREN"
say "Kopiert DIN A4 Seite von Scanner -> Drucker"
say
curdir = Directory()
neudir = Directory(CONST_Impos2Dir)
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
call RxFuncAdd 'ImgInit', 'ImpRexx', 'ImgInitiate'
call ImgInit
neudir = Directory(curdir)

say "Seite scannen..."
scanner = ScnOpenScanner(CONST_Scanner)
if scanner = 0 then do
   msg = "Fehler: Scanner nicht gefunden ("||CONST_Scanner||")"||D2C(10)||"(Scanner wirklich eingeschaltet ?)"
   DlgMessage(msg, 3, 'Fehler !')
   exit
end
fehler = ScnSetImageType(scanner,1)
fehler = ScnSetResolution(scanner, 11811, 11811)  /* 300 x 300 dpi */
fehler = ScnSetScanArea(scanner,50,50,2385,3389)  /* A4 = 0,0,2485,3496 */
bild = ScnScanImage(scanner)
if bild = 0 then do
   msg = "Fehler: Seite konnte nicht gescannt werden."||D2C(10)||"(Scanner wirklich eingeschaltet ?)"
   DlgMessage(msg, 3, 'Fehler !')
   exit
end

say "Seite drucken..."
drucker = 0
drucknr = PrtQueryPrinterCount()
do i = 1 to drucknr
   if PrtQueryPrinterName(i) = CONST_Printer then
      drucker = i
end

if drucker \= 0 then
   fehler = PrtSelectPrinter(drucker)
   fehler = ImgPrintImage(bild, 2, "HT", 1, FALSE)
if drucker = 0 then do
   msg = "Fehler: Drucker nicht gefunden ("||CONST_Printer||")"
   DlgMessage(msg, 3, 'Fehler !')
end

/* fehler = ImgSaveImage(bild, "C:\DELME.JPG", "JPG", "JPEG", TRUE) */
fehler = ImgCloseImage(bild)
say "Fertig." 
